#!/bin/bash

source /OSM/script/os_load_base.sh
GProcess=/OSM/bin/ldap_client
FLAG=0

function restartProcess()
{
	red=$(file /OSM/bin/ldap_client | awk '{print $2}')
	if [ "$red" = "ELF" ]; then
	FLAG=0
	OS_echo "OMM_LDAP_CLIENT: ldap_client FLAG 0."
	else
	FLAG=1
	OS_echo "OMM_LDAP_CLIENT: ldap_client FLAG 1."
	fi
	
	if [ $FLAG -eq 1 ]; then 
		chmod 775 /OSM/bin/ldap_client
		mv /OSM/bin/ldap_client /OSM/bin/ldap_client.tgz
		tar zxf /OSM/bin/ldap_client.tgz -C /OSM/bin
		chmod 550 /OSM/bin/ldap_client
		rm -f /OSM/bin/ldap_client.tgz
	fi

    return 0
}

function PATCH_START()
{
    return 
}
function PATCH_END()
{
    restartProcess
    return
}
function PATCH_ROLLSTART()
{
    return
}
function PATCH_ROLLEND()
{
	restartProcess
	return
}
#start：打补丁前需要执行的操作，脚本的执行时间点在替换文件前
#end：打补丁后需要执行的操作，脚本的执行时间点在替换文件后
#rollstart：回滚补丁时需要执行的操作，脚本的执行时间点在文件被恢复之前。
#rollend：回滚补丁时需要执行的操作，脚本的执行时间点在文件被恢复之后。
#PATCH_CLOSE_SWITCH:先读取性能统计开关的状态，将其值保存到switch中,并关闭性能统计开关
#PATCH_OPEN_SWITCH:如果用户之前是打开状态，将其开关打开
OS_echo "OMM_LDAP_CLIENT: command is ($1)."
L_CMD=$1
case $L_CMD in
        "start") 
                PATCH_START
                ;;
        "end") 
                PATCH_END
                ;;
        "rollstart") 
                PATCH_ROLLSTART
                ;;
        "rollend") 
                PATCH_ROLLEND
                ;;
        *)
                OS_echo "unsupported option."
esac
exit 0

